org.apache.ignite.internal.util

## Class GridIdentityHashSet<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - org.apache.ignite.internal.util.GridSerializableSet<E>
      - - org.apache.ignite.internal.util.GridSetWrapper<E>
        - - org.apache.ignite.internal.util.GridIdentityHashSet<E>

All Implemented Interfaces:
  Serializable, Iterable<E>, Collection<E>, Set<E>

    public class GridIdentityHashSet<E>
    extends GridSetWrapper<E>

Set counterpart for `IdentityHashMap`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.GridSetWrapper

`map, VAL`

### Constructor Summary

Constructors
Constructor and Description
`GridIdentityHashSet()` Creates default identity hash set.
`GridIdentityHashSet(Collection<E> vals)` Creates identity has set initialized given collection.
`GridIdentityHashSet(int size)` Creates identity hash set of given size.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.GridSetWrapper

`add, clear, contains, defaultValue, isEmpty, iterator, map, remove, size, toArray, toArray`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, containsAll, retainAll`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`addAll, containsAll, retainAll`

### Constructor Detail

#### GridIdentityHashSet

    public GridIdentityHashSet()

Creates default identity hash set.

#### GridIdentityHashSet

    public GridIdentityHashSet(int size)

Creates identity hash set of given size.

Parameters:
  `size` - Start size for the set.

#### GridIdentityHashSet

    public GridIdentityHashSet(Collection<E> vals)

Creates identity has set initialized given collection.

Parameters:
  `vals` - Values to initialize.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `GridSetWrapper<E>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015